#
# spec file for package tinyxml2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define so_version 3
%define lib_package lib%{name}-%{so_version}
Name:           tinyxml2
Version:        3.0.0
Release:        1.1
Summary:        A simple, small, C++ XML parser
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            https://github.com/leethomason/tinyxml2
Source:         https://github.com/leethomason/tinyxml2/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TinyXML is a simple, small, C++ XML parser that can be easily integrating
into other programs. Have you ever found yourself writing a text file parser
every time you needed to save human readable data or serialize objects?
TinyXML solves the text I/O file once and for all.
(Or, as a friend said, ends the Just Another Text File Parser problem.)

%package -n     %{lib_package}
Summary:        A simple, small, C++ XML parser
License:        Zlib
Group:          System/Libraries

%description -n %{lib_package}
TinyXML is a simple, small, C++ XML parser that can be easily integrating
into other programs. Have you ever found yourself writing a text file parser
every time you needed to save human readable data or serialize objects?
TinyXML solves the text I/O file once and for all.
(Or, as a friend said, ends the Just Another Text File Parser problem.)

%package        devel
Summary:        Development files for libtinyxml2
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{lib_package} = %{version}

%description    devel
Contains libraries and header files for
developing applications that use libtinyxml2.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} test

%post -n %{lib_package} -p /sbin/ldconfig
%postun -n %{lib_package} -p /sbin/ldconfig

%files -n %{lib_package}
%defattr(-,root,root)
%doc readme.md
%{_libdir}/libtinyxml2.so.%{so_version}*

%files devel
%defattr(-,root,root)
%{_includedir}/tinyxml2.h
%{_libdir}/libtinyxml2.so
%{_libdir}/pkgconfig/tinyxml2.pc

%changelog
* Tue Jul 12 2016 mpluskal@suse.com
- Cleanup spec file
  * run spec-cleaner
  * drop not needed dependencies (libtool and doxygen)
  * execute tests during build
  * use pretty name for tarball
* Tue Apr  7 2015 jengelh@inai.de
- Require pkg-config for pkgconfig() symbols to be generated.
- Drop suggestion for non-existant %%name-docs subpackage.
* Mon Apr  6 2015 p.drouand@gmail.com
- Initial release (version 3.0.0)
